%define py_prefix   /usr
%define py_ver      1.5
%define pygtk_ver   0.6.8
%define pygnome_ver 1.4.1

%define buildgtkhtml 1

Summary: The sources for the PyGTK and PyGNOME Python extension modules.
Name: gnome-python
Version: %{pygnome_ver}
Release: 3
Epoch: 1
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%{pygnome_ver}.tar.bz2
Patch0: gnome-python-1.0.53-nukerc.patch
Patch1: gnome-python-1.4.1-disablethreads.patch
Copyright: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/gnome-python-root
# Packager: James Henstridge <james@daa.com.au>
Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.2.0
Requires: pygtk = %{pygtk_ver}
BuildRequires: gtk+-devel gtkglarea gtkhtml-devel gdk-pixbuf-devel gnome-libs-devel python-devel

%description
The gnome-python package contains the source packages for the Python
bindings for GTK+ and GNOME (PyGTK and PyGNOME, respectively). 

PyGTK is an extension module for Python that provides access to the
GTK+ widget set. Just about anything (within reason) you can write in
C with GTK+, you can write in Python with PyGTK, but with all of
Python's benefits.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package -n pygtk
Version: %{pygtk_ver}
Summary: Python bindings for the GTK+ widget set.
Group: Development/Languages
Requires: glib, imlib, python >= 1.5.2
Requires: gtk+ >= 1.2.6

%description -n pygtk
PyGTK is an extension module for Python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in Python with PyGTK (within reason), but with all of
Python's benefits. PyGTK provides an object-oriented interface at a
slightly higher level than the C interface. The PyGTK interface does
all of the type casting and reference counting that you'd have to do
yourself using the C API.

Install pygtk if you need Python bindings for the GTK+ widget set.

%package -n pygtk-glarea
Version: %{pygtk_ver}
Summary: A wrapper for the GtkGLArea widget for use with PyGTK
Group: Development/Languages
Requires: pygtk = %{pygtk_ver}

%description -n pygtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows you
to display OpenGL output inside your pygtk program.  It needs a set of
Python OpenGL bindings such as PyOpenGL to actually do any OpenGL rendering.

%package -n pygtk-libglade
Version: %{pygtk_ver}
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/Languages
Requires: pygtk = %{pygtk_ver}

%description -n pygtk-libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package -n pygtk-devel
Version: %{pygtk_ver}
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Development/Languages
Requires: pygtk = %{pygtk_ver}

%description -n pygtk-devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%package -n pygnome-libglade
Version: %{pygnome_ver}
Summary: GNOME support for the libglade python wrapper
Group: Development/Languages
Requires: pygnome = %{pygnome_ver}
Requires: pygtk-libglade = %{pygtk_ver}

%description -n pygnome-libglade
This module contains GNOME support to suppliment the libglade python
wrapper.  Libglade is a library similar to the pyglade module, except
that it is written in C (so is faster) and is more complete.

%package -n pygnome
Version: %{pygnome_ver}
Summary: Python bindings for the GNOME libraries.
Group: Development/Languages
Requires: pygtk = %{pygtk_ver}
Requires: gnome-libs

%description -n pygnome
PyGNOME is an extension module for python that gives you access to the
base GNOME libraries.  This means you have access to more widgets, simple
configuration interface, metadata support and many other features.

Install pygnome if you need Python bindings for the GNOME libraries.

%package -n pygnome-applet
Version: %{pygnome_ver}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
Requires: pygnome = %{pygnome_ver}

%description -n pygnome-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n pygnome-capplet
Version: %{pygnome_ver}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
Requires: pygnome = %{pygnome_ver}

%description -n pygnome-capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package -n pygnome-devel
Version: %{pygnome_ver}
Summary: Files that are useful for wrapping GNOME addon libraries.
Group: Development/Languages
Requires: pygtk-devel = %{pygtk_ver}, pygnome = %{pygnome_ver}

%description -n pygnome-devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygnome.

%package -n pygnome-gtkhtml
Version: %{pygnome_ver}
Summary: Python bindings for GtkHTML.
Group: Development/Languages
Requires: pygtk = %{pygtk_ver}

%description -n pygnome-gtkhtml
This module contains a wrapper for the GtkHTML widget, which allows
you to render HTML inside your pygtk program.

%prep
%setup -q
%patch0 -p1 -b .nukerc
%patch1 -p1 -b .disablethreads

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure \
%if %{buildgtkhtml}
			--with-gtkhtml \
%endif
			--prefix=%{py_prefix} 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT%{py_prefix}/lib/python%{py_ver} -name "*.pyc" -type f | xargs rm -fv
python -c "import compileall; compileall.compile_dir('"$RPM_BUILD_ROOT"%{py_prefix}/lib/python%{py_ver}', 4, '%{py_prefix}/lib/python%{py_ver}')"

%files -n pygtk
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/gtk.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GtkExtra.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GTK.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GDK.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GdkImlib.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/pyglade/*.py*

%{py_prefix}/lib/python%{py_ver}/site-packages/_gtkmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_gdkimlibmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/gdkpixbufmodule.so

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog
%doc pygtk/description.py pygtk/examples

%files -n pygtk-glarea
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/gtkgl.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/_gtkglmodule.so

%files -n pygtk-libglade
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/libglade.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/_libglademodule.so

%files -n pygtk-devel
%defattr(-,root,root)
%{py_prefix}/bin/pygtk-codegen-1.2
%dir %{py_prefix}/include/pygtk
%{py_prefix}/include/pygtk/*.h
%dir %{py_prefix}/share/pygtk
%dir %{py_prefix}/share/pygtk/1.2
%dir %{py_prefix}/share/pygtk/1.2/codegen
%dir %{py_prefix}/share/pygtk/1.2/defs
%{py_prefix}/share/pygtk/1.2/codegen/*
%{py_prefix}/share/pygtk/1.2/defs/gtk.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkbase.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkcontainers.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkdata.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkdnd.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkedit.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkenums.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkgl.defs
%{py_prefix}/share/pygtk/1.2/defs/gtklists.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkmenus.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkmisc.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkranges.defs
%{py_prefix}/share/pygtk/1.2/defs/libglade.defs

%files -n pygnome
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/gettext.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/__init__.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/affine.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/config.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/file.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/help.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/history.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/metadata.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/mime.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/score.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/triggers.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/ui.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/uiconsts.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/url.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/util.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/xmhtml.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/zvt.py*

%{py_prefix}/lib/python%{py_ver}/site-packages/_gnomemodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_gnomeuimodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_zvtmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_gtkxmhtmlmodule.so

%doc AUTHORS NEWS README ChangeLog
%doc pygnome/examples

%files -n pygnome-libglade
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/_gladegnomemodule.so

# the following are only included if gnome-core and control-center were
# installed during the build
%files -n pygnome-applet
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/_appletmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/applet.py*

%files -n pygnome-capplet
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/_cappletmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/capplet.py*

%files -n pygnome-devel
%defattr(-,root,root)
%dir %{py_prefix}/share/pygtk/
%dir %{py_prefix}/share/pygtk/1.2/
%dir %{py_prefix}/share/pygtk/1.2/defs/
%{py_prefix}/share/pygtk/1.2/defs/applet.defs
%{py_prefix}/share/pygtk/1.2/defs/capplet.defs
%{py_prefix}/share/pygtk/1.2/defs/gnome-enums.defs
%{py_prefix}/share/pygtk/1.2/defs/gnome.defs
%{py_prefix}/share/pygtk/1.2/defs/gnomeui.defs
%{py_prefix}/share/pygtk/1.2/defs/gtkhtml.defs
%{py_prefix}/share/pygtk/1.2/defs/xmhtml.defs
%{py_prefix}/share/pygtk/1.2/defs/zvt.defs

%files -n pygnome-gtkhtml
%if %{buildgtkhtml}
%defattr(-,root,root)
%dir %{py_prefix}/lib/python%{py_ver}/site-packages/
%{py_prefix}/lib/python%{py_ver}/site-packages/*gtkhtml*
%endif

%changelog
* Tue Jul 17 2001 Havoc Pennington <hp@redhat.com>
- add some build requires

* Thu Jul  5 2001 Matt Wilson <msw@redhat.com>
- 1.4.1
- re-enabled gtkgl subpackage
- added a subpackage for gtkhtml

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 20 2001  <jrb@redhat.com>
- Up to new version.

* Mon Feb 19 2001 Matt Wilson <msw@redhat.com>
- added a broken hack called _gtk_nuke_rc_mtimes that sets all
  rcfile mtimes to 0.  This will let us switch from a foreign codeset
  back to iso-8859-1 in the installer.

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Thu Jan 18 2001 Matt Wilson <msw@redhat.com>
- added a patch to wrap gtk_rc_init

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- move buildroot to %%{_tmppath}
- build modules with the correct directories in them
- remove Packager tag

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Matt Wilson <msw@redhat.com>
- 1.0.53

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr

* Wed Feb 16 2000 Matt Wilson <msw@redhat.com>
- 1.0.51

* Fri Jan 21 2000 Matt Wilson <msw@redhat.com>
- added pygnome-libglade subpackage

* Wed Jan  5 2000 Matt Wilson <msw@redhat.com>
- split applet and capplet modules into their own package
